## git-lfs 2.11.0

=== debian/changelog ===
git-lfs (2.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 09 May 2020 23:13:47 -0500

=== debian/control ===
Source: git-lfs
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               git (>= 1.8.0),
               golang-any (>= 2:1.8~),
               ronn (>= 0.8.0-2~),
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
               golang-github-bgentry-go-netrc-dev,
               golang-github-olekukonko-ts-dev,
               golang-github-thomsonreuterseikon-go-ntlm-dev,
               golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
               golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
               golang-github-git-lfs-go-netrc-dev,
               golang-github-git-lfs-gitobj-dev (>= 1.4.1~),
               golang-github-mattn-go-isatty-dev,
               golang-github-ssgelm-cookiejarparser-dev,
               golang-golang-x-sync-dev,
               golang-github-dpotapov-go-spnego-dev,
Standards-Version: 4.5.0
Homepage: https://git-lfs.github.com/
Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
XS-Go-Import-Path: github.com/git-lfs/git-lfs
Testsuite: autopkgtest-pkg-go

Package: git-lfs
Architecture: any
Depends: git,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Git Large File Support
 An open source Git extension for versioning large files.
 Git Large File Storage (LFS) replaces large files such as
 audio samples, videos, datasets, and graphics with text
 pointers inside Git, while storing the file contents on
 a remote server.

## git-lfs 2.12.0

=== debian/changelog ===
git-lfs (2.12.0-1) unstable; urgency=medium

  * New upstream release
  * Bump DH compat level to 13

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 02 Sep 2020 11:52:26 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
@@ -17,7 +17,7 @@
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
                golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 1.4.1~),
+               golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
@@ -28,6 +28,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
 XS-Go-Import-Path: github.com/git-lfs/git-lfs
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: git-lfs
 Architecture: any

## git-lfs 2.12.1

=== debian/changelog ===
git-lfs (2.12.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 22 Nov 2020 23:25:14 -0600

git-lfs (2.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 12 Nov 2020 00:22:11 -0600

git-lfs (2.12.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 06 Sep 2020 01:38:55 -0500

git-lfs (2.11.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 24 May 2020 23:55:08 -0500

git-lfs (2.10.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 07 Mar 2020 16:58:30 -0600

git-lfs (2.9.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 17 Dec 2019 00:00:12 -0600

git-lfs (2.9.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 03 Dec 2019 00:38:34 -0600

git-lfs (2.9.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 08 Nov 2019 21:31:35 -0600

git-lfs (2.8.0-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 30 Sep 2019 23:48:05 -0500

git-lfs (2.8.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 16 Aug 2019 00:39:48 -0500

git-lfs (2.7.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 20 Jul 2019 12:15:53 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                git (>= 1.8.0),
-               golang-any (>= 2:1.8~),
+               golang-any (>= 2:1.12~),
                ronn (>= 0.8.0-2~),
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,

## git-lfs 2.13.1

=== debian/changelog ===
git-lfs (2.13.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 11 Jan 2021 23:11:09 -0600

git-lfs (2.13.1-2) unstable; urgency=medium

  * Only remove superfluous files during build if they exist (Closes: #979601)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 08 Jan 2021 17:20:36 -0600

git-lfs (2.13.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.1

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 12 Dec 2020 01:34:58 -0600

git-lfs (2.12.1-2) unstable; urgency=medium

  * Add golang-github-git-lfs-git-lfs-dev package (Closes: #976645)

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 08 Dec 2020 23:10:47 -0600

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,9 @@
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
+               golang-golang-x-sys-dev (>= 0.0~git20201101.da20708-2~),
                golang-github-dpotapov-go-spnego-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
@@ -42,3 +43,27 @@
  audio samples, videos, datasets, and graphics with text
  pointers inside Git, while storing the file contents on
  a remote server.
+
+Package: golang-github-git-lfs-git-lfs-dev
+Architecture: all
+Depends: golang-github-pkg-errors-dev,
+         golang-github-spf13-cobra-dev,
+         golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
+         golang-github-bgentry-go-netrc-dev,
+         golang-github-olekukonko-ts-dev,
+         golang-github-thomsonreuterseikon-go-ntlm-dev,
+         golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
+         golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
+         golang-github-git-lfs-go-netrc-dev,
+         golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
+         golang-github-mattn-go-isatty-dev,
+         golang-github-ssgelm-cookiejarparser-dev,
+         golang-golang-x-sync-dev,
+         golang-github-dpotapov-go-spnego-dev,
+         ${misc:Depends}
+Description: Git Large File Support (library)
+ An open source Git extension for versioning large files.
+ Git Large File Storage (LFS) replaces large files such as
+ audio samples, videos, datasets, and graphics with text
+ pointers inside Git, while storing the file contents on
+ a remote server.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

BUILD_DIR := obj-$(DEB_BUILD_GNU_TYPE)
export DH_GOLANG_EXCLUDES := test vendor
export DH_GOLANG_GO_GENERATE := 1
export DH_GOLANG_INSTALL_EXTRA := git/githistory/fixtures tq/schemas locking/schemas docs/man
export PATH := $(CURDIR)/$(BUILD_DIR)/bin:$(PATH)

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_clean:
	rm -rf man
	dh_clean

override_dh_auto_build:
	dh_auto_build
	rm -f $(BUILD_DIR)/bin/script
	rm -f $(BUILD_DIR)/bin/man
	rm -f $(BUILD_DIR)/bin/cmd
	mkdir man
	rm -rf man/*.ronn
	rm -rf man/*.txt
	cp docs/man/*.ronn man
	cp docs/man/*.txt man
	ronn man/*.ronn
	rm -rf man/*.ronn
	rm -rf man/*.txt

override_dh_dwz:
	# dwz doesn't work on golang packages

## git-lfs 2.13.2

=== Makefile ===
# GIT_LFS_SHA is the '--short'-form SHA1 of the current revision of Git LFS.
GIT_LFS_SHA ?= $(shell git rev-parse --short HEAD)
# VERSION is the longer-form describe output of the current revision of Git LFS,
# used for identifying intermediate releases.
#
# If Git LFS is being built for a published release, VERSION and GIT_LFS_SHA
# should be identical.
VERSION ?= $(shell git describe HEAD)

# GO is the name of the 'go' binary used to compile Git LFS.
GO ?= go

# GO_TEST_EXTRA_ARGS are extra arguments given to invocations of 'go test'.
#
# Examples include:
#
# 	make test GO_TEST_EXTRA_ARGS=-v
# 	make test GO_TEST_EXTRA_ARGS='-run TestMyExample'
GO_TEST_EXTRA_ARGS =

# BUILTIN_LD_FLAGS are the internal flags used to pass to the linker. By default
# the config.GitCommit variable is always set via this variable, and
# DWARF-stripping is enabled unless DWARF=YesPlease.
BUILTIN_LD_FLAGS =
ifneq ("$(VENDOR)","")
BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.Vendor=$(VENDOR)
endif
BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.GitCommit=$(GIT_LFS_SHA)
ifneq ("$(DWARF)","YesPlease")
BUILTIN_LD_FLAGS += -s
BUILTIN_LD_FLAGS += -w
endif
# EXTRA_LD_FLAGS are given by the caller, and are passed to the Go linker after
# BUILTIN_LD_FLAGS are processed. By default the system LDFLAGS are passed.
ifdef LDFLAGS
EXTRA_LD_FLAGS ?= -extldflags ${LDFLAGS}
endif
# LD_FLAGS is the union of the above two BUILTIN_LD_FLAGS and EXTRA_LD_FLAGS.
LD_FLAGS = $(BUILTIN_LD_FLAGS) $(EXTRA_LD_FLAGS)

# BUILTIN_GC_FLAGS are the internal flags used to pass compiler.
BUILTIN_GC_FLAGS ?= all=-trimpath="$$HOME"
# EXTRA_GC_FLAGS are the caller-provided flags to pass to the compiler.
EXTRA_GC_FLAGS =
# GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)

ASM_FLAGS ?= all=-trimpath="$$HOME"

# TRIMPATH contains arguments to be passed to go to strip paths on Go 1.13 and
# newer.
TRIMPATH ?= $(shell [ "$$($(GO) version | awk '{print $$3}' | sed -e 's/^[^.]*\.//;s/\..*$$//;')" -ge 13 ] && echo -trimpath)

# RONN is the name of the 'ronn' program used to generate man pages.
RONN ?= ronn
# RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
RONN_EXTRA_ARGS ?=

# GREP is the name of the program used for regular expression matching, or
# 'grep' if unset.
GREP ?= grep
# XARGS is the name of the program used to turn stdin into program arguments, or
# 'xargs' if unset.
XARGS ?= xargs

# GOIMPORTS is the name of the program formatter used before compiling.
GOIMPORTS ?= goimports
# GOIMPORTS_EXTRA_OPTS are the default options given to the $(GOIMPORTS)
# program.
GOIMPORTS_EXTRA_OPTS ?= -w -l

TAR_XFORM_ARG ?= $(shell tar --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
TAR_XFORM_CMD ?= $(shell tar --version | grep -q 'GNU tar' && echo 's')

# CERT_SHA1 is the SHA-1 hash of the Windows code-signing cert to use.  The
# actual signature is made with SHA-256.
CERT_SHA1 ?= 824455beeb23fe270e756ca04ec8e902d19c62aa

# CERT_FILE is the PKCS#12 file holding the certificate.
CERT_FILE ?=

# CERT_PASS is the password for the certificate.  It must not contain
# double-quotes.
CERT_PASS ?=

# CERT_ARGS are additional arguments to pass when signing Windows binaries.
ifneq ("$(CERT_FILE)$(CERT_PASS)","")
CERT_ARGS ?= -f "$(CERT_FILE)" -p "$(CERT_PASS)"
else
CERT_ARGS ?= -sha1 $(CERT_SHA1)
endif

# DARWIN_CERT_ID is a portion of the common name of the signing certificatee.
DARWIN_CERT_ID ?=

# DARWIN_KEYCHAIN_ID is the name of the keychain (with suffix) where the
# certificate is located.
DARWIN_KEYCHAIN_ID ?= CI.keychain

# SOURCES is a listing of all .go files in this and child directories, excluding
# that in vendor.
SOURCES = $(shell find . -type f -name '*.go' | grep -v vendor)
# PKGS is a listing of packages that are considered to be a part of Git LFS, and
# are used in package-specific commands, such as the 'make test' targets. For
# example:
#
# 	make test                               # run 'go test' in all packages
# 	make PKGS='config git/githistory' test  # run 'go test' in config and
# 	                                        # git/githistory
#
# By default, it is a listing of all packages in Git LFS. When new packages (or
# sub-packages) are created, they should be added here.
ifndef PKGS
PKGS =
PKGS += commands
PKGS += config
PKGS += creds
PKGS += errors
PKGS += filepathfilter
PKGS += fs
PKGS += git
PKGS += git/gitattr
PKGS += git/githistory
PKGS += git
PKGS += lfs
PKGS += lfsapi
PKGS += lfshttp
PKGS += locking
PKGS += subprocess
PKGS += tasklog
PKGS += tools
PKGS += tools/humanize
PKGS += tools/kv
PKGS += tq
endif

# X is the platform-specific extension for Git LFS binaries. It is automatically
# set to .exe on Windows, and the empty string on all other platforms. It may be
# overridden.
#
# BUILD_MAIN is the main ".go" file that contains func main() for Git LFS. On
# macOS and other non-Windows platforms, it is required that a specific
# entrypoint be given, hence the below conditional. On Windows, it is required
# that an entrypoint not be given so that goversioninfo can successfully embed
# the resource.syso file (for more, see below).
ifeq ($(OS),Windows_NT)
X ?= .exe
BUILD_MAIN ?=
else
X ?=
BUILD_MAIN ?= ./git-lfs.go
endif

# BUILD is a macro used to build a single binary of Git LFS using the above
# LD_FLAGS and GC_FLAGS.
#
# It takes three arguments:
#
# 	$(1) - a valid GOOS value, or empty-string
# 	$(2) - a valid GOARCH value, or empty-string
# 	$(3) - an optional program extension. If $(3) is given as '-foo', then the
# 	       program will be written to bin/git-lfs-foo.
#
# It uses BUILD_MAIN as defined above to specify the entrypoint for building Git
# LFS.
BUILD = GOOS=$(1) GOARCH=$(2) \
	$(GO) build \
	-ldflags="$(LD_FLAGS)" \
	-gcflags="$(GC_FLAGS)" \
	-asmflags="$(ASM_FLAGS)" \
	$(TRIMPATH) \
	-o ./bin/git-lfs$(3) $(BUILD_MAIN)

# BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
# built for.
BUILD_TARGETS = \
	bin/git-lfs-darwin-amd64 \
	bin/git-lfs-linux-arm \
	bin/git-lfs-linux-arm64 \
	bin/git-lfs-linux-amd64 \
	bin/git-lfs-linux-ppc64le \
	bin/git-lfs-linux-s390x \
	bin/git-lfs-linux-386 \
	bin/git-lfs-freebsd-amd64 \
	bin/git-lfs-freebsd-386 \
	bin/git-lfs-windows-amd64.exe \
	bin/git-lfs-windows-386.exe

# mangen is a shorthand for ensuring that commands/mancontent_gen.go is kept
# up-to-date with the contents of docs/man/*.ronn.
.PHONY : mangen
mangen : commands/mancontent_gen.go

# commands/mancontent_gen.go is generated by running 'go generate' on package
# 'commands' of Git LFS. It depends upon the contents of the 'docs' directory
# and converts those manpages into code.
commands/mancontent_gen.go : $(wildcard docs/man/*.ronn)
	$(GO) generate github.com/git-lfs/git-lfs/commands

# Targets 'all' and 'build' build binaries of Git LFS for the above release
# matrix.
.PHONY : all build
all build : $(BUILD_TARGETS)

# The following bin/git-lfs-% targets make a single binary compilation of Git
# LFS for a specific operating system and architecture pair.
#
# They function by translating target names into arguments for the above BUILD
# builtin, and appending the appropriate suffix to the build target.
#
# On Windows, they also depend on the resource.syso target, which installs and
# embeds the versioninfo into the binary.
bin/git-lfs-darwin-amd64 : $(SOURCES) mangen
	$(call BUILD,darwin,amd64,-darwin-amd64)
bin/git-lfs-linux-arm : $(SOURCES) mangen
	GOARM=5 $(call BUILD,linux,arm,-linux-arm)
bin/git-lfs-linux-arm64 : $(SOURCES) mangen
	$(call BUILD,linux,arm64,-linux-arm64)
bin/git-lfs-linux-amd64 : $(SOURCES) mangen
	$(call BUILD,linux,amd64,-linux-amd64)
bin/git-lfs-linux-ppc64le : $(SOURCES) mangen
	$(call BUILD,linux,ppc64le,-linux-ppc64le)
bin/git-lfs-linux-s390x : $(SOURCES) mangen
	$(call BUILD,linux,s390x,-linux-s390x)
bin/git-lfs-linux-386 : $(SOURCES) mangen
	$(call BUILD,linux,386,-linux-386)
bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen
	$(call BUILD,freebsd,amd64,-freebsd-amd64)
bin/git-lfs-freebsd-386 : $(SOURCES) mangen
	$(call BUILD,freebsd,386,-freebsd-386)
bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen
	$(call BUILD,windows,amd64,-windows-amd64.exe)
bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen
	$(call BUILD,windows,386,-windows-386.exe)

# .DEFAULT_GOAL sets the operating system-appropriate Git LFS binary as the
# default output of 'make'.
.DEFAULT_GOAL := bin/git-lfs$(X)

# bin/git-lfs targets the default output of Git LFS on non-Windows operating
# systems, and respects the build knobs as above.
bin/git-lfs : $(SOURCES) fmt mangen
	$(call BUILD,$(GOOS),$(GOARCH),)

# bin/git-lfs.exe targets the default output of Git LFS on Windows systems, and
# respects the build knobs as above.
bin/git-lfs.exe : $(SOURCES) resource.syso mangen
	$(call BUILD,$(GOOS),$(GOARCH),.exe)

# resource.syso installs the 'goversioninfo' command and uses it in order to
# generate a binary that has information included necessary to create the
# Windows installer.
#
# Generating a new resource.syso is a pure function of the contents in the
# prerequisites listed below.
resource.syso : \
versioninfo.json script/windows-installer/git-lfs-logo.bmp \
script/windows-installer/git-lfs-logo.ico \
script/windows-installer/git-lfs-wizard-image.bmp
	$(GO) generate

# RELEASE_TARGETS is the set of all release artifacts that we generate over a
# particular release. They each have a corresponding entry in BUILD_TARGETS as
# above.
#
# Unlike BUILD_TARGETS above, each of the below create a compressed directory
# containing the matching binary, as well as the contents of RELEASE_INCLUDES
# below.
#
# To build a specific release, execute the following:
#
# 	make bin/releases/git-lfs-darwin-amd64-$(git describe HEAD).tar.gz
#
# To build a specific release with a custom VERSION suffix, run the following:
#
# 	make VERSION=my-version bin/releases/git-lfs-darwin-amd64-my-version.tar.gz
RELEASE_TARGETS = \
	bin/releases/git-lfs-darwin-amd64-$(VERSION).zip \
	bin/releases/git-lfs-linux-arm-$(VERSION).tar.gz \
	bin/releases/git-lfs-linux-arm64-$(VERSION).tar.gz \
	bin/releases/git-lfs-linux-amd64-$(VERSION).tar.gz \
	bin/releases/git-lfs-linux-ppc64le-$(VERSION).tar.gz \
	bin/releases/git-lfs-linux-s390x-$(VERSION).tar.gz \
	bin/releases/git-lfs-linux-386-$(VERSION).tar.gz \
	bin/releases/git-lfs-freebsd-amd64-$(VERSION).tar.gz \
	bin/releases/git-lfs-freebsd-386-$(VERSION).tar.gz \
	bin/releases/git-lfs-windows-amd64-$(VERSION).zip \
	bin/releases/git-lfs-windows-386-$(VERSION).zip \
	bin/releases/git-lfs-$(VERSION).tar.gz

# RELEASE_INCLUDES are the names of additional files that are added to each
# release artifact.
RELEASE_INCLUDES = README.md CHANGELOG.md man

# release is a phony target that builds all of the release artifacts, and then
# shows the SHA 256 signature of each.
#
# To build all of the release binaries for a given Git LFS release:
#
# 	make release
.PHONY : release
release : $(RELEASE_TARGETS)
	shasum -a 256 $(RELEASE_TARGETS)

# bin/releases/git-lfs-%-$(VERSION).tar.gz generates a gzip-compressed TAR of
# the non-Windows and non-macOS release artifacts.
#
# It includes all of RELEASE_INCLUDES, as well as script/install.sh.
bin/releases/git-lfs-%-$(VERSION).tar.gz : \
$(RELEASE_INCLUDES) bin/git-lfs-% script/install.sh
	@mkdir -p bin/releases
	tar $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!bin/git-lfs-.*!git-lfs!' $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!script/!!' -czf $@ $^

# bin/releases/git-lfs-darwin-$(VERSION).zip generates a ZIP compression of all
# of the macOS release artifacts.
#
# It includes all of the RELEASE_INCLUDES, as well as script/install.sh.
bin/releases/git-lfs-darwin-%-$(VERSION).zip : \
$(RELEASE_INCLUDES) bin/git-lfs-darwin-% script/install.sh
	dir=bin/releases/darwin-$* && \
	rm -f $@ && \
	mkdir -p $$dir && \
	cp -R $^ $$dir && mv $$dir/git-lfs-darwin-$* $$dir/git-lfs && \
	zip -j $@ $$dir/* && \

=== debian/changelog ===
git-lfs (2.13.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 13 Jan 2021 22:53:41 -0600

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
-               golang-golang-x-sys-dev (>= 0.0~git20201101.da20708-2~),
                golang-github-dpotapov-go-spnego-dev,
 Standards-Version: 4.5.1
 Homepage: https://git-lfs.github.com/

## git-lfs 3.0.2

=== debian/changelog ===
git-lfs (3.0.2-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 21:53:19 +0000

git-lfs (3.0.2-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 01 May 2023 17:52:50 +0530

git-lfs (3.0.2-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 30 Jan 2023 21:05:00 +0100

git-lfs (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.0.1

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 05 Nov 2021 23:49:42 -0500

git-lfs (2.13.3-2) unstable; urgency=medium

  * Pass `--skip-repo` to `install` and `uninstall` in the maintainer scripts
    (Thanks to Richard Hansen for the patch!)

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 25 Aug 2021 00:22:39 -0500

git-lfs (2.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 15 Aug 2021 01:05:17 -0500

=== debian/control ===
Source: git-lfs
Section: vcs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               git,
               golang-any (>= 2:1.12~),
               ronn,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-rubyist-tracerx-dev,
               golang-github-bgentry-go-netrc-dev,
               golang-github-olekukonko-ts-dev,
               golang-github-xeipuuv-gojsonschema-dev,
               golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
               golang-github-git-lfs-go-netrc-dev,
               golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
               golang-github-mattn-go-isatty-dev,
               golang-github-ssgelm-cookiejarparser-dev,
               golang-golang-x-sync-dev,
               golang-github-dpotapov-go-spnego-dev,
               golang-github-git-lfs-pktline-dev,
Standards-Version: 4.6.0.1
Homepage: https://git-lfs.github.com/
Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
XS-Go-Import-Path: github.com/git-lfs/git-lfs
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: git-lfs
Architecture: any
Depends: git,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Git Large File Support
 An open source Git extension for versioning large files.
 Git Large File Storage (LFS) replaces large files such as
 audio samples, videos, datasets, and graphics with text
 pointers inside Git, while storing the file contents on
 a remote server.

Package: golang-github-git-lfs-git-lfs-dev
Architecture: all
Depends: golang-github-pkg-errors-dev,
         golang-github-spf13-cobra-dev,
         golang-github-rubyist-tracerx-dev,
         golang-github-bgentry-go-netrc-dev,
         golang-github-olekukonko-ts-dev,
         golang-github-xeipuuv-gojsonschema-dev,
         golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
         golang-github-git-lfs-go-netrc-dev,
         golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
         golang-github-mattn-go-isatty-dev,
         golang-github-ssgelm-cookiejarparser-dev,
         golang-golang-x-sync-dev,
         golang-github-dpotapov-go-spnego-dev,
         golang-github-git-lfs-pktline-dev,
         ${misc:Depends}
Description: Git Large File Support (library)
 An open source Git extension for versioning large files.
 Git Large File Storage (LFS) replaces large files such as
 audio samples, videos, datasets, and graphics with text
 pointers inside Git, while storing the file contents on
 a remote server.

## git-lfs 3.2.0

=== debian/changelog ===
git-lfs (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 25 May 2022 23:58:16 -0500

git-lfs (3.1.4-2) unstable; urgency=medium

  * Include previously excluded source files to fix autopkgtest

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Apr 2022 12:29:03 -0500

git-lfs (3.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Apr 2022 01:31:56 -0500

git-lfs (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Apr 2022 01:25:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
@@ -12,17 +11,17 @@
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-github-rubyist-tracerx-dev,
-               golang-github-bgentry-go-netrc-dev,
                golang-github-olekukonko-ts-dev,
                golang-github-xeipuuv-gojsonschema-dev,
                golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
-               golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
+               golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
+               golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
                golang-github-dpotapov-go-spnego-dev,
                golang-github-git-lfs-pktline-dev,
+               golang-github-leonelquinteros-gotext-dev,
 Standards-Version: 4.6.0.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
@@ -49,17 +48,17 @@
 Depends: golang-github-pkg-errors-dev,
          golang-github-spf13-cobra-dev,
          golang-github-rubyist-tracerx-dev,
-         golang-github-bgentry-go-netrc-dev,
          golang-github-olekukonko-ts-dev,
          golang-github-xeipuuv-gojsonschema-dev,
          golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
-         golang-github-git-lfs-go-netrc-dev,
-         golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
+         golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
+         golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
          golang-github-mattn-go-isatty-dev,
          golang-github-ssgelm-cookiejarparser-dev,
          golang-golang-x-sync-dev,
          golang-github-dpotapov-go-spnego-dev,
          golang-github-git-lfs-pktline-dev,
+         golang-github-leonelquinteros-gotext-dev,
          ${misc:Depends}
 Description: Git Large File Support (library)
  An open source Git extension for versioning large files.
@@ -67,3 +66,5 @@
  audio samples, videos, datasets, and graphics with text
  pointers inside Git, while storing the file contents on
  a remote server.
+ .
+ This package contains the source code for git-lfs

=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,9 @@
 	rm -f $(BUILD_DIR)/bin/script
 	rm -f $(BUILD_DIR)/bin/man
 	rm -f $(BUILD_DIR)/bin/cmd
+	rm -f $(BUILD_DIR)/bin/trgen
 	mkdir man
 	rm -rf man/*.ronn
-	rm -rf man/*.txt
 	cp docs/man/*.ronn man
-	cp docs/man/*.txt man
 	ronn man/*.ronn
 	rm -rf man/*.ronn
-	rm -rf man/*.txt
-
-override_dh_dwz:
-	# dwz doesn't work on golang packages

## git-lfs 3.3.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,9 @@
 # If Git LFS is being built for a published release, VERSION and GIT_LFS_SHA
 # should be identical.
 VERSION ?= $(shell git describe HEAD)
+
+# PREFIX is VERSION without the leading v, for use in archive prefixes.
+PREFIX ?= $(patsubst v%,git-lfs-%,$(VERSION))
 
 # GO is the name of the 'go' binary used to compile Git LFS.
 GO ?= go
@@ -23,9 +26,9 @@
 # DWARF-stripping is enabled unless DWARF=YesPlease.
 BUILTIN_LD_FLAGS =
 ifneq ("$(VENDOR)","")
-BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.Vendor=$(VENDOR)
-endif
-BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.GitCommit=$(GIT_LFS_SHA)
+BUILTIN_LD_FLAGS += -X 'github.com/git-lfs/git-lfs/v3/config.Vendor=$(VENDOR)'
+endif
+BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/v3/config.GitCommit=$(GIT_LFS_SHA)
 ifneq ("$(DWARF)","YesPlease")
 BUILTIN_LD_FLAGS += -s
 BUILTIN_LD_FLAGS += -w
@@ -39,22 +42,21 @@
 LD_FLAGS = $(BUILTIN_LD_FLAGS) $(EXTRA_LD_FLAGS)
 
 # BUILTIN_GC_FLAGS are the internal flags used to pass compiler.
-BUILTIN_GC_FLAGS ?= all=-trimpath="$$HOME"
+BUILTIN_GC_FLAGS =
 # EXTRA_GC_FLAGS are the caller-provided flags to pass to the compiler.
 EXTRA_GC_FLAGS =
 # GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
 GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)
 
-ASM_FLAGS ?= all=-trimpath="$$HOME"
-
-# TRIMPATH contains arguments to be passed to go to strip paths on Go 1.13 and
-# newer.
-TRIMPATH ?= $(shell [ "$$($(GO) version | awk '{print $$3}' | sed -e 's/^[^.]*\.//;s/\..*$$//;')" -ge 13 ] && echo -trimpath)
-
 # RONN is the name of the 'ronn' program used to generate man pages.
 RONN ?= ronn
 # RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
 RONN_EXTRA_ARGS ?=
+
+# ASCIIDOCTOR is the name of the 'asciidoctor' program used to generate man pages.
+ASCIIDOCTOR ?= asciidoctor
+# ASCIIDOCTOR_EXTRA_ARGS are extra arguments given to the $(ASCIIDOCTOR) program when invoked.
+ASCIIDOCTOR_EXTRA_ARGS ?= -a reproducible
 
 # GREP is the name of the program used for regular expression matching, or
 # 'grep' if unset.
@@ -69,12 +71,15 @@
 # program.
 GOIMPORTS_EXTRA_OPTS ?= -w -l
 
-TAR_XFORM_ARG ?= $(shell tar --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
-TAR_XFORM_CMD ?= $(shell tar --version | grep -q 'GNU tar' && echo 's')
+# TAR is the tar command, either GNU or BSD (libarchive) tar.
+TAR ?= tar
+
+TAR_XFORM_ARG ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
+TAR_XFORM_CMD ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo 's')
 
 # CERT_SHA1 is the SHA-1 hash of the Windows code-signing cert to use.  The
 # actual signature is made with SHA-256.
-CERT_SHA1 ?= 824455beeb23fe270e756ca04ec8e902d19c62aa
+CERT_SHA1 ?= 27ea8f81ce920bccd2174e3b272f2ba247605be6
 
 # CERT_FILE is the PKCS#12 file holding the certificate.
 CERT_FILE ?=
@@ -100,6 +105,31 @@
 # SOURCES is a listing of all .go files in this and child directories, excluding
 # that in vendor.
 SOURCES = $(shell find . -type f -name '*.go' | grep -v vendor)
+
+# MSGFMT is the GNU gettext msgfmt binary.
+MSGFMT ?= msgfmt
+
+# PO is a list of all the po (gettext source) files.
+PO = $(wildcard po/*.po)
+
+# MO is a list of all the mo (gettext compiled) files to be built.
+MO = $(patsubst po/%.po,po/build/%.mo,$(PO))
+
+# XGOTEXT is the string extractor for gotext.
+XGOTEXT ?= xgotext
+
+# CODESIGN is the macOS signing tool.
+CODESIGN ?= codesign
+
+# GON is the macOS notarizing tool.
+GON ?= gon
+
+# SIGNTOOL is the Windows signing tool.
+SIGNTOOL ?= signtool.exe
+
+# FORCE_LOCALIZE forces localization to be run if set to non-empty.
+FORCE_LOCALIZE ?=
+
 # PKGS is a listing of packages that are considered to be a part of Git LFS, and
 # are used in package-specific commands, such as the 'make test' targets. For
 # example:
@@ -126,11 +156,13 @@
 PKGS += lfsapi
 PKGS += lfshttp
 PKGS += locking
+PKGS += ssh
 PKGS += subprocess
 PKGS += tasklog
 PKGS += tools
 PKGS += tools/humanize
 PKGS += tools/kv
+PKGS += tr
 PKGS += tq
 endif
 
@@ -143,12 +175,16 @@
 # entrypoint be given, hence the below conditional. On Windows, it is required
 # that an entrypoint not be given so that goversioninfo can successfully embed
 # the resource.syso file (for more, see below).
+#
+# BSDTAR is BSD (libarchive) tar.
 ifeq ($(OS),Windows_NT)
 X ?= .exe
 BUILD_MAIN ?=
+BSDTAR ?= C:/Windows/system32/tar.exe
 else
 X ?=
 BUILD_MAIN ?= ./git-lfs.go
+BSDTAR ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo bsdtar || echo $(TAR))
 endif
 
 # BUILD is a macro used to build a single binary of Git LFS using the above
@@ -167,14 +203,14 @@
 	$(GO) build \
 	-ldflags="$(LD_FLAGS)" \
 	-gcflags="$(GC_FLAGS)" \
-	-asmflags="$(ASM_FLAGS)" \
-	$(TRIMPATH) \
+	-trimpath \
 	-o ./bin/git-lfs$(3) $(BUILD_MAIN)
 
 # BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
 # built for.
 BUILD_TARGETS = \
 	bin/git-lfs-darwin-amd64 \
+	bin/git-lfs-darwin-arm64 \
 	bin/git-lfs-linux-arm \
 	bin/git-lfs-linux-arm64 \
 	bin/git-lfs-linux-amd64 \
@@ -184,7 +220,8 @@
 	bin/git-lfs-freebsd-amd64 \
 	bin/git-lfs-freebsd-386 \
 	bin/git-lfs-windows-amd64.exe \
-	bin/git-lfs-windows-386.exe
+	bin/git-lfs-windows-386.exe \
+	bin/git-lfs-windows-arm64.exe
 
 # mangen is a shorthand for ensuring that commands/mancontent_gen.go is kept
 # up-to-date with the contents of docs/man/*.ronn.
@@ -195,7 +232,41 @@
 # 'commands' of Git LFS. It depends upon the contents of the 'docs' directory
 # and converts those manpages into code.
 commands/mancontent_gen.go : $(wildcard docs/man/*.ronn)
-	$(GO) generate github.com/git-lfs/git-lfs/commands
+	GOOS= GOARCH= $(GO) generate github.com/git-lfs/git-lfs/v3/commands
+
+# trgen is a shorthand for ensuring that tr/tr_gen.go is kept up-to-date with
+# the contents of po/build/*.mo.
+.PHONY : trgen
+trgen : tr/tr_gen.go
+
+# tr/tr_gen.go is generated by running 'go generate' on package
+# 'tr' of Git LFS. It depends upon the contents of the 'po' directory
+# and converts the .mo files.
+tr/tr_gen.go : $(MO)
+	GOOS= GOARCH= $(GO) generate github.com/git-lfs/git-lfs/v3/tr
+
+po/build:
+	mkdir -p po/build
+
+# These targets build the MO files.
+po/build/%.mo: po/%.po po/build
+ifeq ($(FORCE_LOCALIZE),)
+	if command -v $(MSGFMT) >/dev/null 2>&1; \
+	then \
+		$(MSGFMT) -o $@ $<; \
+	fi
+else
+	$(MSGFMT) -o $@ $<
+endif
+
+po/i-reverse.po: po/default.pot
+	script/gen-i-reverse $< $@
+
+po/default.pot:
+	if command -v $(XGOTEXT) >/dev/null 2>&1; \
+	then \
+		$(XGOTEXT) -in . -exclude .git,.github,vendor -out po -v; \
+	fi
 
 # Targets 'all' and 'build' build binaries of Git LFS for the above release
 # matrix.
@@ -210,28 +281,32 @@
 #
 # On Windows, they also depend on the resource.syso target, which installs and
 # embeds the versioninfo into the binary.
-bin/git-lfs-darwin-amd64 : $(SOURCES) mangen
+bin/git-lfs-darwin-amd64 : $(SOURCES) mangen trgen
 	$(call BUILD,darwin,amd64,-darwin-amd64)
-bin/git-lfs-linux-arm : $(SOURCES) mangen
+bin/git-lfs-darwin-arm64 : $(SOURCES) mangen trgen
+	$(call BUILD,darwin,arm64,-darwin-arm64)
+bin/git-lfs-linux-arm : $(SOURCES) mangen trgen
 	GOARM=5 $(call BUILD,linux,arm,-linux-arm)
-bin/git-lfs-linux-arm64 : $(SOURCES) mangen
+bin/git-lfs-linux-arm64 : $(SOURCES) mangen trgen
 	$(call BUILD,linux,arm64,-linux-arm64)
-bin/git-lfs-linux-amd64 : $(SOURCES) mangen
+bin/git-lfs-linux-amd64 : $(SOURCES) mangen trgen
 	$(call BUILD,linux,amd64,-linux-amd64)
-bin/git-lfs-linux-ppc64le : $(SOURCES) mangen
+bin/git-lfs-linux-ppc64le : $(SOURCES) mangen trgen
 	$(call BUILD,linux,ppc64le,-linux-ppc64le)
-bin/git-lfs-linux-s390x : $(SOURCES) mangen
+bin/git-lfs-linux-s390x : $(SOURCES) mangen trgen
 	$(call BUILD,linux,s390x,-linux-s390x)
-bin/git-lfs-linux-386 : $(SOURCES) mangen
+bin/git-lfs-linux-386 : $(SOURCES) mangen trgen
 	$(call BUILD,linux,386,-linux-386)
-bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen
+bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen trgen
 	$(call BUILD,freebsd,amd64,-freebsd-amd64)
-bin/git-lfs-freebsd-386 : $(SOURCES) mangen
+bin/git-lfs-freebsd-386 : $(SOURCES) mangen trgen
 	$(call BUILD,freebsd,386,-freebsd-386)
-bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen
+bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen trgen
 	$(call BUILD,windows,amd64,-windows-amd64.exe)
-bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen
+bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen trgen
 	$(call BUILD,windows,386,-windows-386.exe)
+bin/git-lfs-windows-arm64.exe : resource.syso $(SOURCES) mangen trgen
+	$(call BUILD,windows,arm64,-windows-arm64.exe)
 
 # .DEFAULT_GOAL sets the operating system-appropriate Git LFS binary as the
 # default output of 'make'.
@@ -239,12 +314,12 @@
 
 # bin/git-lfs targets the default output of Git LFS on non-Windows operating
 # systems, and respects the build knobs as above.
-bin/git-lfs : $(SOURCES) fmt mangen
+bin/git-lfs : $(SOURCES) fmt mangen trgen
 	$(call BUILD,$(GOOS),$(GOARCH),)
 
 # bin/git-lfs.exe targets the default output of Git LFS on Windows systems, and
 # respects the build knobs as above.
-bin/git-lfs.exe : $(SOURCES) resource.syso mangen
+bin/git-lfs.exe : $(SOURCES) resource.syso mangen trgen
 	$(call BUILD,$(GOOS),$(GOARCH),.exe)
 
 # resource.syso installs the 'goversioninfo' command and uses it in order to
@@ -271,54 +346,3 @@
 #
 # 	make bin/releases/git-lfs-darwin-amd64-$(git describe HEAD).tar.gz
 #
-# To build a specific release with a custom VERSION suffix, run the following:
-#
-# 	make VERSION=my-version bin/releases/git-lfs-darwin-amd64-my-version.tar.gz
-RELEASE_TARGETS = \
-	bin/releases/git-lfs-darwin-amd64-$(VERSION).zip \
-	bin/releases/git-lfs-linux-arm-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-arm64-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-amd64-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-ppc64le-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-s390x-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-386-$(VERSION).tar.gz \
-	bin/releases/git-lfs-freebsd-amd64-$(VERSION).tar.gz \
-	bin/releases/git-lfs-freebsd-386-$(VERSION).tar.gz \
-	bin/releases/git-lfs-windows-amd64-$(VERSION).zip \
-	bin/releases/git-lfs-windows-386-$(VERSION).zip \
-	bin/releases/git-lfs-$(VERSION).tar.gz
-
-# RELEASE_INCLUDES are the names of additional files that are added to each
-# release artifact.
-RELEASE_INCLUDES = README.md CHANGELOG.md man
-
-# release is a phony target that builds all of the release artifacts, and then
-# shows the SHA 256 signature of each.
-#
-# To build all of the release binaries for a given Git LFS release:
-#
-# 	make release
-.PHONY : release
-release : $(RELEASE_TARGETS)
-	shasum -a 256 $(RELEASE_TARGETS)
-
-# bin/releases/git-lfs-%-$(VERSION).tar.gz generates a gzip-compressed TAR of
-# the non-Windows and non-macOS release artifacts.
-#
-# It includes all of RELEASE_INCLUDES, as well as script/install.sh.
-bin/releases/git-lfs-%-$(VERSION).tar.gz : \
-$(RELEASE_INCLUDES) bin/git-lfs-% script/install.sh
-	@mkdir -p bin/releases
-	tar $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!bin/git-lfs-.*!git-lfs!' $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!script/!!' -czf $@ $^
-
-# bin/releases/git-lfs-darwin-$(VERSION).zip generates a ZIP compression of all
-# of the macOS release artifacts.
-#
-# It includes all of the RELEASE_INCLUDES, as well as script/install.sh.
-bin/releases/git-lfs-darwin-%-$(VERSION).zip : \
-$(RELEASE_INCLUDES) bin/git-lfs-darwin-% script/install.sh
-	dir=bin/releases/darwin-$* && \
-	rm -f $@ && \
-	mkdir -p $$dir && \
-	cp -R $^ $$dir && mv $$dir/git-lfs-darwin-$* $$dir/git-lfs && \
-	zip -j $@ $$dir/* && \

=== debian/changelog ===
git-lfs (3.3.0-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Apply upstream patch to fix CVE-2024-53263:
    - Reject LF bytes in credential data

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 21 Jan 2025 10:54:02 +0100

git-lfs (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.1.0

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 30 Nov 2022 18:32:31 -0600

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                git,
                golang-any (>= 2:1.12~),
-               ronn,
+               asciidoctor,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-github-rubyist-tracerx-dev,
@@ -15,14 +15,14 @@
                golang-github-xeipuuv-gojsonschema-dev,
                golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
                golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
-               golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
+               golang-github-git-lfs-gitobj-dev (>= 2.1.1~),
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
                golang-github-dpotapov-go-spnego-dev,
                golang-github-git-lfs-pktline-dev,
                golang-github-leonelquinteros-gotext-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
@@ -44,6 +44,7 @@
  a remote server.
 
 Package: golang-github-git-lfs-git-lfs-dev
+Section: golang
 Architecture: all
 Depends: golang-github-pkg-errors-dev,
          golang-github-spf13-cobra-dev,
@@ -52,7 +53,7 @@
          golang-github-xeipuuv-gojsonschema-dev,
          golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
          golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
-         golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
+         golang-github-git-lfs-gitobj-dev (>= 2.1.1~),
          golang-github-mattn-go-isatty-dev,
          golang-github-ssgelm-cookiejarparser-dev,
          golang-golang-x-sync-dev,

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,4 @@
 	rm -f $(BUILD_DIR)/bin/cmd
 	rm -f $(BUILD_DIR)/bin/trgen
 	mkdir man
-	rm -rf man/*.ronn
-	cp docs/man/*.ronn man
-	ronn man/*.ronn
-	rm -rf man/*.ronn
+	asciidoctor -b manpage -D man/ docs/man/*.adoc

## git-lfs 3.4.0

=== debian/changelog ===
git-lfs (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.2

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 14 Aug 2023 00:17:56 -0500

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                golang-github-dpotapov-go-spnego-dev,
                golang-github-git-lfs-pktline-dev,
                golang-github-leonelquinteros-gotext-dev,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git

## git-lfs 3.4.1

=== t/Makefile ===
RM ?= rm -f
PROVE ?= prove
PROVE_EXTRA_ARGS =
DEFAULT_TEST_TARGET ?= test

GO ?= go

ifeq ($(OS),Windows_NT)
X ?= .exe
else
X ?=
endif

TEST_CMDS =

TEST_CMDS += ../bin/git-credential-lfsnoop$X
TEST_CMDS += ../bin/git-credential-lfstest$X
TEST_CMDS += ../bin/lfs-askpass$X
TEST_CMDS += ../bin/lfs-ssh-echo$X
TEST_CMDS += ../bin/lfs-ssh-proxy-test$X
TEST_CMDS += ../bin/lfstest-badpathcheck$X
TEST_CMDS += ../bin/lfstest-count-tests$X
TEST_CMDS += ../bin/lfstest-customadapter$X
TEST_CMDS += ../bin/lfstest-gitserver$X
TEST_CMDS += ../bin/lfstest-realpath$X
TEST_CMDS += ../bin/lfstest-standalonecustomadapter$X
TEST_CMDS += ../bin/lfstest-testutils$X

# Not used for the integration tests, but build it here anyway to ensure it
# continues to work.
TEST_CMDS += ../bin/git-lfs-test-server-api$X

TEST_SRCS     = $(wildcard t-*.sh)
TEST_API_SRCS = $(wildcard git-lfs-test-server-api/*.go)

all : $(DEFAULT_TEST_TARGET)

test-commands : $(TEST_CMDS)

test : test-commands
	$(RM) -r remote test_count{,.lock}
	@GIT_LFS_NO_TEST_COUNT= bash -c '. ./testenv.sh && setup'
	$(PROVE) $(PROVE_EXTRA_ARGS) ./t-*.sh
	@GIT_LFS_NO_TEST_COUNT= bash -c '. ./testenv.sh && shutdown'

.PHONY : $(TEST_SRCS)
$(TEST_SRCS) : $(TEST_CMDS)
	$(RM) -r remote test_count{,.lock}
	$(PROVE) -v $(PROVE_EXTRA_ARGS) $@

.PHONY : clean
clean :
	$(RM) -r remote
	$(RM) $(TEST_CMDS)

../bin/%$X : cmd/%.go
	go build -o $@ $^

../bin/git-lfs-test-server-api$X : $(TEST_API_SRCS)
	go build -o $@ $^

=== debian/changelog ===
git-lfs (3.4.1-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 11:52:13 +1000

git-lfs (3.4.1-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 09:55:32 +0100

git-lfs (3.4.1-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 15 Jul 2024 12:48:45 +0530

git-lfs (3.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 15 Dec 2023 17:03:21 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
